Version 2

Discussions about RaZberry - Z-Wave board for Raspberry computer
pz1
Posts: 2053
Joined: 08 Apr 2012 13:44

Version 2

Post by pz1 »

I did notice a couple of release candidates of version 2 on the download page. Does it make sense for daring users to give that a try?
Since 29-12-2016 I am no longer a moderator for this forum

pofs
Posts: 688
Joined: 25 Mar 2011 19:03

Re: Version 2

Post by pofs »

No, don't even try it yet!

They're some internal automated builds, which are not suitable for the end-user. They are hard to configure, and they have an incomplete client UI. Even if you manage to configure and run it, you'll experience a lot of issues and no support.

We'll make an announcement when it will be ready. Keep calm for a couple of weeks :)

pz1
Posts: 2053
Joined: 08 Apr 2012 13:44

Re: Version 2

Post by pz1 »

Thanks for the status update.
Since 29-12-2016 I am no longer a moderator for this forum

User avatar
PoltoS
Posts: 5504
Joined: 26 Jan 2011 19:36

Re: Version 2

Post by PoltoS »

Will, rc6 can work. Can ;)

Note that to make it work as usually, you will need to add in home automaton UI Z-Wave Binding module with default params. Also add Cron, Z-Wave Device Createor and Z-Wave Dead device detector. Others are up to you.

There are slight changes in API, so if you have made your modules, you might require to update them too.

pz1
Posts: 2053
Joined: 08 Apr 2012 13:44

Re: Version 2

Post by pz1 »

Will, rc6 can work. Can ;)
I'll give the rc6 atry. Two questions first
  • I intend to run this on a separate SD card. Can I safely switch back to the card with 1.7.2? (i.e. doesn't the new version change things such that I have to reinclude/configure my devices)
  • I do not understand the part of what I have to add. If I look at the sources, modules like BindDevices, Cron, ZwaveDeadDetection are there. I don't know what more I should do.
Last edited by pz1 on 26 Sep 2014 11:57, edited 2 times in total.
Since 29-12-2016 I am no longer a moderator for this forum

zoic22
Posts: 45
Joined: 04 Apr 2014 14:21

Re: Version 2

Post by zoic22 »

HI,

I just try this rc6 but it did not work for me :

Code: Select all

Error handling data from server
Here, if I start manually z-way-server :

Code: Select all

Z-Way version v2.0.0-rc6 from 2014-09-24 00:01:52 +0400 (build 4428992f61ec2a813d9d1d4962e1fa7ee12e503d)
Looking for modules in ./modules
Failed to load module mod-homekit.so: libdns_sd.so.1: cannot open shared object file: No such file or directory
Module mod-ws.so loaded
cURL 7.26.0 likely has DNS timeout bug. Please update cURL. Disabling sync DNS timeouts for now.
Module mod-http.so loaded
Module mod-zwave.so loaded
Module mod-enocean.so loaded
Module mod-dhs.so loaded
Using default configuration file config.xml
Error: 'debug-port' number is out of range. Skipping it.
Here the install (update) log :

Code: Select all

root@jeedom /opt/z-way-server # wget -q -O - razberry.z-wave.me/install/v2.0.0-rc6  | sudo bash
Removing MathKernel
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Le paquet « wolfram-engine » n'est pas installé, et ne peut donc être supprimé
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  libgail-3-0
Veuillez utiliser « apt-get autoremove » pour le supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Installing additional libraries
Lecture des listes de paquets...
Construction de l'arbre des dépendances...
Lecture des informations d'état...
libyajl2 est déjà la plus récente version disponible.
sharutils est déjà la plus récente version disponible.
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  libgail-3-0
Veuillez utiliser « apt-get autoremove » pour le supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Installing additional libraries for HomeKit
Lecture des listes de paquets...
Construction de l'arbre des dépendances...
Lecture des informations d'état...
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  libgail-3-0
Veuillez utiliser « apt-get autoremove » pour le supprimer.
Les paquets supplémentaires suivants seront installés :
  avahi-daemon bind9-host libavahi-client-dev libavahi-common-dev libavahi-compat-libdnssd1 libavahi-core7 libbind9-80 libdbus-1-dev
  libdns88 libisc84 libisccc80 libisccfg82 liblwres80 libnss-mdns
Paquets suggérés :
  avahi-autoipd
Les NOUVEAUX paquets suivants seront installés :
  avahi-daemon bind9-host libavahi-client-dev libavahi-common-dev libavahi-compat-libdnssd-dev libavahi-compat-libdnssd1 libavahi-core7
  libbind9-80 libdbus-1-dev libdns88 libisc84 libisccc80 libisccfg82 liblwres80 libnss-mdns
0 mis à jour, 15 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 1 342 ko/1 818 ko dans les archives.
Après cette opération, 4 558 ko d'espace disque supplémentaires seront utilisés.
Réception de : 1 http://mirrordirector.raspbian.org/raspbian/ wheezy/main libisc84 armhf 1:9.8.4.dfsg.P1-6+nmu2+deb7u2 [167 kB]
Réception de : 2 http://mirrordirector.raspbian.org/raspbian/ wheezy/main libdns88 armhf 1:9.8.4.dfsg.P1-6+nmu2+deb7u2 [708 kB]
Réception de : 3 http://mirrordirector.raspbian.org/raspbian/ wheezy/main libisccc80 armhf 1:9.8.4.dfsg.P1-6+nmu2+deb7u2 [33,6 kB]
Réception de : 4 http://mirrordirector.raspbian.org/raspbian/ wheezy/main libisccfg82 armhf 1:9.8.4.dfsg.P1-6+nmu2+deb7u2 [55,0 kB]
Réception de : 5 http://mirrordirector.raspbian.org/raspbian/ wheezy/main libbind9-80 armhf 1:9.8.4.dfsg.P1-6+nmu2+deb7u2 [41,4 kB]
Réception de : 6 http://mirrordirector.raspbian.org/raspbian/ wheezy/main liblwres80 armhf 1:9.8.4.dfsg.P1-6+nmu2+deb7u2 [51,6 kB]
Réception de : 7 http://mirrordirector.raspbian.org/raspbian/ wheezy/main bind9-host armhf 1:9.8.4.dfsg.P1-6+nmu2+deb7u2 [71,1 kB]
Réception de : 8 http://mirrordirector.raspbian.org/raspbian/ wheezy/main libdbus-1-dev armhf 1.6.8-1+deb7u4 [214 kB]
1 342 ko réceptionnés en 1s (725 ko/s)
Sélection du paquet libavahi-compat-libdnssd1:armhf précédemment désélectionné.
(Lecture de la base de données... 73072 fichiers et répertoires déjà installés.)
Dépaquetage de libavahi-compat-libdnssd1:armhf (à partir de .../libavahi-compat-libdnssd1_0.6.31-2_armhf.deb) ...
Sélection du paquet libavahi-core7:armhf précédemment désélectionné.
Dépaquetage de libavahi-core7:armhf (à partir de .../libavahi-core7_0.6.31-2_armhf.deb) ...
Sélection du paquet libisc84 précédemment désélectionné.
Dépaquetage de libisc84 (à partir de .../libisc84_1%3a9.8.4.dfsg.P1-6+nmu2+deb7u2_armhf.deb) ...
Sélection du paquet libdns88 précédemment désélectionné.
Dépaquetage de libdns88 (à partir de .../libdns88_1%3a9.8.4.dfsg.P1-6+nmu2+deb7u2_armhf.deb) ...
Sélection du paquet libisccc80 précédemment désélectionné.
Dépaquetage de libisccc80 (à partir de .../libisccc80_1%3a9.8.4.dfsg.P1-6+nmu2+deb7u2_armhf.deb) ...
Sélection du paquet libisccfg82 précédemment désélectionné.
Dépaquetage de libisccfg82 (à partir de .../libisccfg82_1%3a9.8.4.dfsg.P1-6+nmu2+deb7u2_armhf.deb) ...
Sélection du paquet libbind9-80 précédemment désélectionné.
Dépaquetage de libbind9-80 (à partir de .../libbind9-80_1%3a9.8.4.dfsg.P1-6+nmu2+deb7u2_armhf.deb) ...
Sélection du paquet liblwres80 précédemment désélectionné.
Dépaquetage de liblwres80 (à partir de .../liblwres80_1%3a9.8.4.dfsg.P1-6+nmu2+deb7u2_armhf.deb) ...
Sélection du paquet bind9-host précédemment désélectionné.
Dépaquetage de bind9-host (à partir de .../bind9-host_1%3a9.8.4.dfsg.P1-6+nmu2+deb7u2_armhf.deb) ...
Sélection du paquet avahi-daemon précédemment désélectionné.
Dépaquetage de avahi-daemon (à partir de .../avahi-daemon_0.6.31-2_armhf.deb) ...
Sélection du paquet libavahi-common-dev précédemment désélectionné.
Dépaquetage de libavahi-common-dev (à partir de .../libavahi-common-dev_0.6.31-2_armhf.deb) ...
Sélection du paquet libdbus-1-dev précédemment désélectionné.
Dépaquetage de libdbus-1-dev (à partir de .../libdbus-1-dev_1.6.8-1+deb7u4_armhf.deb) ...
Sélection du paquet libavahi-client-dev précédemment désélectionné.
Dépaquetage de libavahi-client-dev (à partir de .../libavahi-client-dev_0.6.31-2_armhf.deb) ...
Sélection du paquet libavahi-compat-libdnssd-dev précédemment désélectionné.
Dépaquetage de libavahi-compat-libdnssd-dev (à partir de .../libavahi-compat-libdnssd-dev_0.6.31-2_armhf.deb) ...
Sélection du paquet libnss-mdns précédemment désélectionné.
Dépaquetage de libnss-mdns (à partir de .../libnss-mdns_0.10-3.2_armhf.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de libavahi-compat-libdnssd1:armhf (0.6.31-2) ...
Paramétrage de libavahi-core7:armhf (0.6.31-2) ...
Paramétrage de libisc84 (1:9.8.4.dfsg.P1-6+nmu2+deb7u2) ...
Paramétrage de libdns88 (1:9.8.4.dfsg.P1-6+nmu2+deb7u2) ...
Paramétrage de libisccc80 (1:9.8.4.dfsg.P1-6+nmu2+deb7u2) ...
Paramétrage de libisccfg82 (1:9.8.4.dfsg.P1-6+nmu2+deb7u2) ...
Paramétrage de libbind9-80 (1:9.8.4.dfsg.P1-6+nmu2+deb7u2) ...
Paramétrage de liblwres80 (1:9.8.4.dfsg.P1-6+nmu2+deb7u2) ...
Paramétrage de bind9-host (1:9.8.4.dfsg.P1-6+nmu2+deb7u2) ...
Paramétrage de avahi-daemon (0.6.31-2) ...
[ ok ] Reloading system message bus config...done.
[ ok ] Starting Avahi mDNS/DNS-SD Daemon: avahi-daemon.
Paramétrage de libavahi-common-dev (0.6.31-2) ...
Paramétrage de libdbus-1-dev (1.6.8-1+deb7u4) ...
Paramétrage de libavahi-client-dev (0.6.31-2) ...
Paramétrage de libavahi-compat-libdnssd-dev (0.6.31-2) ...
Paramétrage de libnss-mdns (0.10-3.2) ...
First installation detected...
Checking NSS setup...
Getting Z-Way for Raspberry Pi
--2014-09-24 21:48:06--  http://razberry.z-wave.me/z-way-server/z-way-server-RaspberryPiXTools-v2.0.0-rc6.tgz
Résolution de razberry.z-wave.me (razberry.z-wave.me)... 46.20.244.36
Connexion vers razberry.z-wave.me (razberry.z-wave.me)|46.20.244.36|:80...connecté.
requête HTTP transmise, en attente de la réponse...200 OK
Longueur: 18370163 (18M) [application/x-gzip]
Sauvegarde en : «STDOUT»

100%[===================================================================================================================================================================================================>] 18 370 163  1,05M/s   ds 14s

2014-09-24 21:48:20 (1,27 MB/s) - envoi vers sortie standard [18370163/18370163]

Previous z-way-server installation found
Stopping z-way-server: rm: impossible de supprimer « /var/run/z-way-server.pid »: Aucun fichier ou dossier de ce type
done.
Stopping mongoose http server
Making backup of previous version of Z-Way in /opt/z-way-server_2014-09-24-21-48-30
Copying settings
!!! Defaults.xml and config.xml updated with new versions !!!
Creating Z-Way startup script
Adding z-way-server to autostart
update-rc.d: using dependency based boot sequencing
--2014-09-24 21:48:32--  http://razberry.z-wave.me/webif_raspberry.tar.gz
Résolution de razberry.z-wave.me (razberry.z-wave.me)... 46.20.244.36
Connexion vers razberry.z-wave.me (razberry.z-wave.me)|46.20.244.36|:80...connecté.
requête HTTP transmise, en attente de la réponse...200 OK
Longueur: 408241 (399K) [application/x-gzip]
Sauvegarde en : «STDOUT»

100%[===================================================================================================================================================================================================>] 408 241     1,05M/s   ds 0,4s

2014-09-24 21:48:32 (1,05 MB/s) - envoi vers sortie standard [408241/408241]

[....] Stoping zbw_connect:[info] ok.
zbw_connect patched
[....] Starting zbw_connect:[info] ok.
--2014-09-24 21:48:33--  http://razberry.z-wave.me/mongoose.pkg.rPi.tgz
Résolution de razberry.z-wave.me (razberry.z-wave.me)... 46.20.244.36
Connexion vers razberry.z-wave.me (razberry.z-wave.me)|46.20.244.36|:80...connecté.
requête HTTP transmise, en attente de la réponse...200 OK
Longueur: 44749 (44K) [application/x-gzip]
Sauvegarde en : «STDOUT»

100%[===================================================================================================================================================================================================>] 44 749      --.-K/s   ds 0,07s

2014-09-24 21:48:33 (637 KB/s) - envoi vers sortie standard [44749/44749]

Adding mongoose to autostart
update-rc.d: using dependency based boot sequencing
Start mongoose http server
./z-cfg-update: /usr/lib/arm-linux-gnueabihf/libxml2.so.2: version `LIBXML2_2.9.1' not found (required by ./z-cfg-update)
./z-cfg-update: /usr/lib/arm-linux-gnueabihf/libxml2.so.2: version `LIBXML2_2.9.1' not found (required by ./z-cfg-update)
./z-cfg-update: /usr/lib/arm-linux-gnueabihf/libxml2.so.2: version `LIBXML2_2.9.1' not found (required by ./z-cfg-update)
Starting z-way-server
Starting z-way-server: done.
Thank you for using RaZberry!
How can I help you to solved this ? Maybe 2.0.0 work only on fresh install ?

Thank in adavnce

pofs
Posts: 688
Joined: 25 Mar 2011 19:03

Re: Version 2

Post by pofs »

Install script currently doesn't know about some new dependencies, so might fail.

As I said earlier, you'll experience issues :)
You better install on a new storage card to not ruin the existing installation.

As of libxml

Code: Select all

./z-cfg-update: /usr/lib/arm-linux-gnueabihf/libxml2.so.2: version `LIBXML2_2.9.1' not found (required by ./z-cfg-update)
it looks really strange. Probably it linked a different version of libxml because of migration to a new build server. Try updating libxml on your box.

zoic22
Posts: 45
Joined: 04 Apr 2014 14:21

Re: Version 2

Post by zoic22 »

It's test box so I can have issue (before pass to production environnement).

I check libxml I have 2.8.0 version :

Code: Select all

root@jeedom ~ # ll /usr/lib/arm-linux-gnueabihf/libxml2*
lrwxrwxrwx 1 root root      16 juil. 11 17:58 /usr/lib/arm-linux-gnueabihf/libxml2.so.2 -> libxml2.so.2.8.0
-rw-r--r-- 1 root root 1196108 juil. 11 17:58 /usr/lib/arm-linux-gnueabihf/libxml2.so.2.8.0
So I make apt-get update et apt-get install libxml2 but no new version. I check repository :

Code: Select all

root@jeedom /opt/z-way-server # apt-cache policy libxml2
libxml2:
  Installé : 2.8.0+dfsg1-7+wheezy1
  Candidat : 2.8.0+dfsg1-7+wheezy1
 Table de version :
 *** 2.8.0+dfsg1-7+wheezy1 0
        500 http://mirrordirector.raspbian.org/raspbian/ wheezy/main armhf Packages
        100 /var/lib/dpkg/status
No 2.9.1 version. I can install it manually or maybe you have a repository I can add to do that ?

pofs
Posts: 688
Joined: 25 Mar 2011 19:03

Re: Version 2

Post by pofs »

zoic22 wrote:No 2.9.1 version. I can install it manually or maybe you have a repository I can add to do that ?
No idea where to get it except for building from source.
You'd better wait for the next build, it might be solved there.

User avatar
PoltoS
Posts: 5504
Joined: 26 Jan 2011 19:36

Re: Version 2

Post by PoltoS »

We apologize, we forgot to include libxml.so.2.9.1 in the build. Please run update script again (to the same version rc6) and you will get it.

Post Reply